This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 975406 - (CVE-2013-2188) CVE-2013-2188 kernel: fs: filp leak on ro filesystem
CVE-2013-2188 kernel: fs: filp leak on ro filesystem
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130617,repor...
: Security
Depends On: 920752 928683 1020725
Blocks: 975408
  Show dependency treegraph
 
Reported: 2013-06-18 07:57 EDT by Petr Matousek
Modified: 2015-02-16 10:54 EST (History)
27 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-18 08:01:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-06-18 07:57:12 EDT
A flaw was found in the way do_filp_open() function in the Linux kernel handled cleanup in case write access to a mount was denied. A local unprivileged user with acces to a read-only mount could use this flaw to crash the system.

This issue affected Red Hat Enterprise Linux 6 only. Upstream is not affected.

Acknowledgements:

This issue was discovered by Mateusz Guzik of Red Hat.
Comment 1 Petr Matousek 2013-06-18 07:58:54 EDT
Statement:

This issue did not affect the Linux kernel as shipped with Red Hat Enterprise Linux 5 and Red Hat Enterprise Linux MRG 2.

This issue was addressed in Red Hat Enterprise Linux 6 via RHSA-2013:0911 (https://rhn.redhat.com/errata/RHSA-2013-0911.html).

Upstream is not affected.

Note You need to log in before you can comment on or make changes to this bug.